<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Operators</title>
</head>
<body>
    <h1>Operators</h1>
    <script>
        // let letterA = 'a';
        // let letterAmaiusc = 'A';
        // let letterB = 'b';
        // let number5 = 5;

        // console.log('il valore di letterA è ' + letterA);
        // il valore di letterA è a
        
        // console.log(letterA++);
        // il valore di letterA è a

        // console.log(`/api/people/3/name`);
        // console.log(`/api/${type}/${typeId}/${param}`);
        // console.log('/api/' + type + '/' + typeId + '/' + param);

        // Ciclare tutti i numeri che troviamo all'interno di un array
        // stampare in console solo i numeri DISPARI
        // uscire immediatamente se troviamo qualche elemento che non è un numero
        let numbers = [
            1,2,3,4,'asd',6,7,8,9,10
        ];
        
        // FOR
        for(let i=0;i<numbers.length;i++) {
            let mustBreak = checkNum(numbers[i]);
            
            if(mustBreak == true) {
                break;
            }
        }

        // WHILE
        let i=0;
        while(i<numbers.length){
            let mustBreak = checkNum(numbers[i]);
            
            if(mustBreak == true) {
                break;
            }     

            i++;
        }

        function checkNum(num){
            if(isNaN(num)){
                console.log(`L'elemento ${num} non è un numero. Esco dal ciclo`)
                return true;
            }

            if(num % 2 == 1) {
                console.log(`Il numero ${num} è dispari`);
            }
        }
    </script>
</body>
</html>